# Financials

### Fields

* [Income statements](/company-data-api/data-points/financials/income-statements.md)
* [Balance sheets](/company-data-api/data-points/financials/balance-sheet-object.md)
* [Cash flows](/company-data-api/data-points/financials/cash-flow-statement-object.md)
* [Filings](/company-data-api/data-points/financials/filing.md)
* [Analyst rating](/company-data-api/data-points/financials/untitled-1-2.md)
* [Latest stock summary](/company-data-api/data-points/financials/stock-summary.md)
* [Funding rounds](/company-data-api/data-points/financials/funding-round.md)
* [Stock summaries](/company-data-api/data-points/financials/stock-summary.md)
* [Private valuations](/company-data-api/data-points/financials/private-valuation.md)
* [Ratios](/company-data-api/data-points/financials/ratios.md)
* [Latest Z Score](/company-data-api/data-points/financials/latest-z-score.md)
* [Revenue breakdown](/company-data-api/data-points/financials/revenue-breakdowns.md)

| Field        | Type                                                       | Description        |
| ------------ | ---------------------------------------------------------- | ------------------ |
| ev           | [Money](/company-data-api/graphql-objects/money-object.md) | Enterprise Value   |
| totalFunding | [Money](/company-data-api/graphql-objects/money-object.md) | Total funding data |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        ev {
            currency
            amount
        }
        totalFunding {
            currency
            amount
        }
        stocksSummary {
            closingDatetime
            marketcap
        }
        incomeStatements {
            period {
                periodType
                endDate
            }
            revenue
        }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/financials.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
